Bug 448997 - Support eject on halt
Summary: Support eject on halt
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: upstart
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Casey Dahlin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Patch
Depends On:
Blocks: 239928
TreeView+ depends on / blocked
 
Reported: 2008-05-29 20:15 UTC by Jeremy Katz
Modified: 2014-06-18 08:46 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-10-19 16:50:21 UTC


Attachments (Terms of Use)
upstart patch (1.59 KB, patch)
2008-05-29 20:15 UTC, Jeremy Katz
no flags Details | Diff
initscripts patch (876 bytes, patch)
2008-05-29 20:16 UTC, Jeremy Katz
no flags Details | Diff

Description Jeremy Katz 2008-05-29 20:15:18 UTC
If we support ejecting on halt, then we can relatively easily eject the livecd
on shutdown without having to worry about things going away and leading to read
errors.

Patch attached and I've sent it upstream for comment as well

Comment 1 Jeremy Katz 2008-05-29 20:15:18 UTC
Created attachment 307129 [details]
upstart patch

Comment 2 Jeremy Katz 2008-05-29 20:16:28 UTC
Created attachment 307131 [details]
initscripts patch

And just so it doesn't get lost, attaching the simple initscripts bit too

Comment 3 John Poelstra 2008-10-15 23:39:35 UTC
This bug has been triaged

Comment 4 Charles R. Anderson 2008-10-19 16:50:21 UTC
I closed bug 239928 that depends on this since it works on the F10 Snap2 Live CDs that I tried.  I'm not sure of the actual implementation, but it appears that this bug should be closed too.  If someone feels otherwise, feel free to reopen it :-)


Note You need to log in before you can comment on or make changes to this bug.